import { StyleSheet } from 'react-native';

export default StyleSheet.create({
    container: {
        flex: 1,
    },
    backgroundImage: {
        flex: 1,
        resizeMode: 'cover', // or 'stretch'
        // opacity: 0.5
    },
    loginForm: {
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',
        width: '100%',
    },
    logoImage: {
        width: 50,
        height: 170
    },
    loginView: {
        height: "100%",
        width: '100%',
        // alignItems: 'center',
        // justifyContent: 'center',
        // paddingVertical: 35,
        // shadowColor: '#000',
        // shadowOffset: { width: 0, height: 2 },
        // shadowOpacity: 0.8,
        // shadowRadius: 6,
        // borderColor: '#c8ccd0',
        // borderTopColor: '#c8ccd0',
        // borderWidth: 1,
        // elevation: 4,
        // borderRadius: 7,
    },
    loginText: {
        justifyContent: 'center',
        alignItems: 'center'
    },
    inputView: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
        marginTop: 25,
        // maxWidth: 10,
        maxHeight: 40,
        paddingLeft: 10,
        // paddingVertical: 5,
        // borderColor: '#8ad9f8',
        backgroundColor: '#dee4ea',
        width: '100%',

        // shadowColor: '#000',
        // shadowOffset: { width: 0, height: 2 },
        // shadowOpacity: 0.4,
        // shadowRadius: 6,
        // borderColor: '#c8ccd0',
        // borderTopColor: '#c8ccd0',
        // borderWidth: 0.5,
        // elevation: 4,
        // borderRadius: 7,
    },
    passwordSection: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
        marginTop: 20,
        // maxWidth: 10,
        maxHeight: 45,
        paddingLeft: 10,
        borderRadius: 8,
        backgroundColor: '#dee4ea',
    },
    input: {
        flex: 1,
        color: '#202020',
        paddingLeft: 10,
        fontSize: 14,
        // paddingVertical: 5,
    },
    inputs: {
        flex: 1,
        color: 'red',
        paddingLeft: 10,
        fontSize: 5,
        // paddingVertical: 5,
    },
    timeButton: {
        flex: 1,
        fontWeight: '900',
        color: '#202020',
        paddingLeft: 10,
        fontSize: 14,
        height: 40,
        justifyContent: 'center',
    },
    registerButton: {
        marginTop: 25,
        backgroundColor: '#202020',
        paddingVertical: 8,
        alignItems: 'center',
    },
    dateInputView: {
        flex: 1,
        flexDirection: 'row',
        // justifyContent: 'center',
        // alignItems: 'center',
        marginTop: 25,
        // maxWidth: 10,
        maxHeight: 40,
        // paddingLeft: 10,
        // paddingVertical: 5,
        // borderColor: '#8ad9f8',
        backgroundColor: '#dee4ea',
        width: '100%',
        // borderWidth: 1,
        borderRadius: 8,

        shadowColor: '#000',
        shadowOffset: { width: 0, height: 2 },
        shadowOpacity: 0.4,
        shadowRadius: 6,
        borderColor: '#c8ccd0',
        borderTopColor: '#c8ccd0',
        borderWidth: 0.5,
        elevation: 4,
        borderRadius: 7,
    },
    dateButton: {
        fontWeight: '900',
        color: '#14a852',
        paddingLeft: 10,
        fontSize: 14,
        paddingVertical: 10
    },
    Datepicker: {
        width: '100%',
        marginTop: 20,
        paddingLeft: 3,
        paddingTop: 5,
        paddingBottom: 3,
        backgroundColor: '#F5FCFF',
        borderRadius: 3,
    },
    mainContainer: {
        backgroundColor: '#202020',
        height: 75,
        alignItems: 'center',
        justifyContent: 'center',
    },
    subContainer: {
        backgroundColor: '#ffffff',
        height: '100%',
        width: '100%',
        alignItems: 'center',
        // justifyContent: 'center',
        marginTop: -25,
        borderTopRightRadius: 25,
        borderTopLeftRadius: 25,
    },
})
